Jump to content

Ubuntu


Luke

Recommended Posts

Não consigo adicionar à minha série Servidor Emby, quando adiciono o tipo de conteúdo, como TV, adiciono a serie mas não aparece nada.

 

 

 

I can not add to my Emby Server series when I added the content type such as TV by adding a series but nothing appears.

 

 

Hi @@zod, can you please open a new community topic and discuss this a little more? We'd like to get more information about this. Thanks !

Link to comment
Share on other sites

Não consigo adicionar à minha série Servidor Emby, quando adiciono o tipo de conteúdo, como TV, adiciono a serie mas não aparece nada.

 

 

 

I can not add to my Emby Server series when I added the content type such as TV by adding a series but nothing appears.

 

 

 

Alguém tem o mesmo problema? pois não to conseguindo adicionar minhas series

Link to comment
Share on other sites

Installation is not possible on Ubuntu 17.10.


Using new default method from original post link:

$ curl -f -s https://raw.githubusercontent.com/MediaBrowser/Emby.Releases/master/Server/setup.sh | sh
Failed to stop emby-server.service: Unit emby-server.service not loaded.
Failed to disable unit: Unit file emby-server.service does not exist.

Installing requirements
Hit:1 http://us.archive.ubuntu.com/ubuntu artful InRelease
Get:2 http://us.archive.ubuntu.com/ubuntu artful-updates InRelease [76.7 kB]   
Hit:3 http://archive.canonical.com/ubuntu artful InRelease                     
Get:4 http://security.ubuntu.com/ubuntu artful-security InRelease [70.3 kB]    
Hit:5 http://us.archive.ubuntu.com/ubuntu artful-backports InRelease           
Fetched 147 kB in 1s (143 kB/s)                                
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
curl is already the newest version (7.55.1-1ubuntu2.1).
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.

Downloading Microsoft's GPG key to /etc/apt/trusted.gpg.d/microsoft.gpg
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   983  100   983    0     0    983      0  0:00:01 --:--:--  0:00:01  1398

Installing the Dotnet Core repository to /etc/apt/sources.list.d/dotnet.list

Installing Emby Server
Get:1 http://security.ubuntu.com/ubuntu artful-security InRelease [70.3 kB]
Hit:2 http://us.archive.ubuntu.com/ubuntu artful InRelease                     
Get:3 https://packages.microsoft.com/repos/microsoft-ubuntu-artful-prod artful InRelease [2,846 B]
Hit:4 http://archive.canonical.com/ubuntu artful InRelease                     
Get:5 http://us.archive.ubuntu.com/ubuntu artful-updates InRelease [76.7 kB]   
Get:6 https://packages.microsoft.com/repos/microsoft-ubuntu-artful-prod artful/main amd64 Packages [2,349 B]
Hit:7 http://us.archive.ubuntu.com/ubuntu artful-backports InRelease           
Fetched 152 kB in 0s (223 kB/s)                    
Reading package lists... Done
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   623    0   623    0     0    623      0 --:--:-- --:--:-- --:--:--  1565
100 18.9M  100 18.9M    0     0  2765k      0  0:00:07  0:00:07 --:--:-- 2840k
Selecting previously unselected package emby-server.
(Reading database ... 132741 files and directories currently installed.)
Preparing to unpack emby-server-deb_3.2.34.0_amd64.deb ...
Unpacking emby-server (3.2.34.0) ...
dpkg: dependency problems prevent configuration of emby-server:
 emby-server depends on dotnet-runtime-2.0.0; however:
  Package dotnet-runtime-2.0.0 is not installed.

dpkg: error processing package emby-server (--install):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.26-0ubuntu2) ...
Processing triggers for ureadahead (0.100.0-20) ...
Errors were encountered while processing:
 emby-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  dotnet-host dotnet-hostfxr-2.0.0 dotnet-runtime-2.0.0 liblttng-ust-ctl2
  liblttng-ust0 libunwind8 liburcu6
The following NEW packages will be installed:
  dotnet-host dotnet-hostfxr-2.0.0 dotnet-runtime-2.0.0 liblttng-ust-ctl2
  liblttng-ust0 libunwind8 liburcu6
0 upgraded, 7 newly installed, 0 to remove and 2 not upgraded.
1 not fully installed or removed.
Need to get 18.5 MB of archives.
After this operation, 63.3 MB of additional disk space will be used.
Do you want to continue? [Y/n] Abort.

ERROR: Installation of Emby Server failed
ERROR: Please contact apps@ with the full output above


Attempt with alternative sources:

$ sudo sh -c "echo 'deb http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04/ /' > /etc/apt/sources.list.d/emby-server.list"

$ sudo apt-get update
Hit:1 http://archive.canonical.com/ubuntu artful InRelease
Hit:2 http://us.archive.ubuntu.com/ubuntu artful InRelease                     
Get:3 http://us.archive.ubuntu.com/ubuntu artful-updates InRelease [76.7 kB]   
Get:4 http://security.ubuntu.com/ubuntu artful-security InRelease [70.3 kB]    
Hit:5 https://packages.microsoft.com/repos/microsoft-ubuntu-artful-prod artful InRelease
Ign:6 http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 InRelease
Hit:7 http://us.archive.ubuntu.com/ubuntu artful-backports InRelease           
Get:8 http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 Release [1,009 B]
Get:9 http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 Release.gpg [481 B]
Ign:9 http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 Release.gpg
Reading package lists... Done  
W: GPG error: http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0A506F712A7D8A28
E: The repository 'http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 Release' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

$ sudo apt-get install emby-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package emby-server

 

Link to comment
Share on other sites

Installation is not possible on Ubuntu 17.10.

 

 

Using new default method from original post link:

 

$ curl -f -s https://raw.githubusercontent.com/MediaBrowser/Emby.Releases/master/Server/setup.sh | sh

Failed to stop emby-server.service: Unit emby-server.service not loaded.

Failed to disable unit: Unit file emby-server.service does not exist.

 

Installing requirements

Hit:1 http://us.archive.ubuntu.com/ubuntu artful InRelease

Get:2 http://us.archive.ubuntu.com/ubuntu artful-updates InRelease [76.7 kB]   

Hit:3 http://archive.canonical.com/ubuntu artful InRelease                     

Get:4 http://security.ubuntu.com/ubuntu artful-security InRelease [70.3 kB]    

Hit:5 http://us.archive.ubuntu.com/ubuntu artful-backports InRelease           

Fetched 147 kB in 1s (143 kB/s)                                

Reading package lists... Done

Reading package lists... Done

Building dependency tree       

Reading state information... Done

curl is already the newest version (7.55.1-1ubuntu2.1).

0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.

 

Downloading Microsoft's GPG key to /etc/apt/trusted.gpg.d/microsoft.gpg

  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current

                                 Dload  Upload   Total   Spent    Left  Speed

100   983  100   983    0     0    983      0  0:00:01 --:--:--  0:00:01  1398

 

Installing the Dotnet Core repository to /etc/apt/sources.list.d/dotnet.list

 

Installing Emby Server

Get:1 http://security.ubuntu.com/ubuntu artful-security InRelease [70.3 kB]

Hit:2 http://us.archive.ubuntu.com/ubuntu artful InRelease                     

Get:3 https://packages.microsoft.com/repos/microsoft-ubuntu-artful-prod artful InRelease [2,846 B]

Hit:4 http://archive.canonical.com/ubuntu artful InRelease                     

Get:5 http://us.archive.ubuntu.com/ubuntu artful-updates InRelease [76.7 kB]   

Get:6 https://packages.microsoft.com/repos/microsoft-ubuntu-artful-prod artful/main amd64 Packages [2,349 B]

Hit:7 http://us.archive.ubuntu.com/ubuntu artful-backports InRelease           

Fetched 152 kB in 0s (223 kB/s)                    

Reading package lists... Done

  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current

                                 Dload  Upload   Total   Spent    Left  Speed

100   623    0   623    0     0    623      0 --:--:-- --:--:-- --:--:--  1565

100 18.9M  100 18.9M    0     0  2765k      0  0:00:07  0:00:07 --:--:-- 2840k

Selecting previously unselected package emby-server.

(Reading database ... 132741 files and directories currently installed.)

Preparing to unpack emby-server-deb_3.2.34.0_amd64.deb ...

Unpacking emby-server (3.2.34.0) ...

dpkg: dependency problems prevent configuration of emby-server:

 emby-server depends on dotnet-runtime-2.0.0; however:

  Package dotnet-runtime-2.0.0 is not installed.

 

dpkg: error processing package emby-server (--install):

 dependency problems - leaving unconfigured

Processing triggers for libc-bin (2.26-0ubuntu2) ...

Processing triggers for ureadahead (0.100.0-20) ...

Errors were encountered while processing:

 emby-server

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Correcting dependencies... Done

The following additional packages will be installed:

  dotnet-host dotnet-hostfxr-2.0.0 dotnet-runtime-2.0.0 liblttng-ust-ctl2

  liblttng-ust0 libunwind8 liburcu6

The following NEW packages will be installed:

  dotnet-host dotnet-hostfxr-2.0.0 dotnet-runtime-2.0.0 liblttng-ust-ctl2

  liblttng-ust0 libunwind8 liburcu6

0 upgraded, 7 newly installed, 0 to remove and 2 not upgraded.

1 not fully installed or removed.

Need to get 18.5 MB of archives.

After this operation, 63.3 MB of additional disk space will be used.

Do you want to continue? [Y/n] Abort.

 

ERROR: Installation of Emby Server failed

ERROR: Please contact apps@ with the full output above

 

 

Attempt with alternative sources:

 

$ sudo sh -c "echo 'deb http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04/ /' > /etc/apt/sources.list.d/emby-server.list"

 

$ sudo apt-get update

Hit:1 http://archive.canonical.com/ubuntu artful InRelease

Hit:2 http://us.archive.ubuntu.com/ubuntu artful InRelease                     

Get:3 http://us.archive.ubuntu.com/ubuntu artful-updates InRelease [76.7 kB]   

Get:4 http://security.ubuntu.com/ubuntu artful-security InRelease [70.3 kB]    

Hit:5 https://packages.microsoft.com/repos/microsoft-ubuntu-artful-prod artful InRelease

Ign:6 http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 InRelease

Hit:7 http://us.archive.ubuntu.com/ubuntu artful-backports InRelease           

Get:8 http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 Release [1,009 B]

Get:9 http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 Release.gpg [481 B]

Ign:9 http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 Release.gpg

Reading package lists... Done  

W: GPG error: http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0A506F712A7D8A28

E: The repository 'http://download.opensuse.org/repositories/home:/emby/xUbuntu_17.04 Release' is not signed.

N: Updating from such a repository can't be done securely, and is therefore disabled by default.

N: See apt-secure(8) manpage for repository creation and user configuration details.

 

$ sudo apt-get install emby-server

Reading package lists... Done

Building dependency tree       

Reading state information... Done

E: Unable to locate package emby-server

 

 

 

Duplicate of: https://emby.media/community/index.php?/topic/52273-cannot-install-on-ubuntu-1710/

Link to comment
Share on other sites

Senhores, boa noite.

 

Atualizei minha versão do emby para Versão 3.2.35.0, desde de então o sistema se tornou inutilizavel para mim, não sei o que aconteceu, mas ele parou de funcionar, meus arquivos aparecem na biblioteca porem na home inicial nada mais aparece, não consigo mais assistir nem adicionar nada, alguém esta com esse mesmo problema ?

 

Tudo depois da ultima atualização, ajuda

 

Foto da minha biblioteca

 

59f696a558909_Capturadetelade20171029230

 

Fotos da minha home 59f696648369a_Capturadetelade20171029230

Link to comment
Share on other sites

Oi, você tentou executar uma varredura da biblioteca? obrigado.

Sim, tentei fazer isso , porém o mesmo não efetua, ele mostra como se fosse iniciar a fazer a varredura porem ele não demora nenhum segundo no rastreio e para.

Link to comment
Share on other sites

Sim, tentei fazer isso, no entanto, não  efetua, ele mostra como se fosse iniciar uma verificação porem ele não demora nenhum segundo e e para o rastreio.

Link to comment
Share on other sites

Hello everyone,

Thanks for this awesome work. I'm using emby media server for last one week at my home. I noticed there is a new version of Emby. I'm using 3.2.34.0 version on Ubuntu. Here is my Linux specs:

tlgcntn@bluebird:~$ hostnamectl
   Static hostname: bluebird
         Icon name: computer-laptop
           Chassis: laptop
        Machine ID: ***
           Boot ID: ***
  Operating System: Ubuntu 16.04.3 LTS
            Kernel: Linux 4.4.0-97-generic
      Architecture: x86

I'm using x86 (32bit) architecture as you can see. When I check download page, I didn't see any v3.2.35 32bit package for Ubuntu on new download page -> https://emby.media/linux-server.html

 

Is this mean, we can't get a new 32bit versions anymore? :(

 

 

Link to comment
Share on other sites

Hello everyone,

 

Thanks for this awesome work. I'm using emby media server for last one week at my home. I noticed there is a new version of Emby. I'm using 3.2.34.0 version on Ubuntu. Here is my Linux specs:

tlgcntn@bluebird:~$ hostnamectl
   Static hostname: bluebird
         Icon name: computer-laptop
           Chassis: laptop
        Machine ID: ***
           Boot ID: ***
  Operating System: Ubuntu 16.04.3 LTS
            Kernel: Linux 4.4.0-97-generic
      Architecture: x86

I'm using x86 (32bit) architecture as you can see. When I check download page, I didn't see any v3.2.35 32bit package for Ubuntu on new download page -> https://emby.media/linux-server.html

 

Is this mean, we can't get a new 32bit versions anymore? :(

 

You can get it by following the same instructions as the ARM architecture.

Link to comment
Share on other sites

I just installed the latest update on Ubuntu 16.04, and the service won't start. It's throwing the below error.

daniel@ubuntu-server:~$ systemctl status emby-server.service
● emby-server.service - Emby Server is a personal media server with apps on just about every device.
   Loaded: loaded (/usr/lib/systemd/system/emby-server.service; enabled; vendor preset: enabled)
   Active: inactive (dead) (Result: core-dump) since Sat 2017-11-04 23:46:15 AEDT; 8s ago
  Process: 7415 ExecStart=/opt/emby-server/bin/emby-server (code=dumped, signal=ABRT)
 Main PID: 7415 (code=dumped, signal=ABRT)

Nov 04 23:46:15 ubuntu-server systemd[1]: emby-server.service: Unit entered failed state.
Nov 04 23:46:15 ubuntu-server systemd[1]: emby-server.service: Failed with result 'core-dump'.
Nov 04 23:46:15 ubuntu-server systemd[1]: emby-server.service: Service hold-off time over, scheduling restart.
Nov 04 23:46:15 ubuntu-server systemd[1]: Stopped Emby Server is a personal media server with apps on just about every device..
Nov 04 23:46:15 ubuntu-server systemd[1]: emby-server.service: Start request repeated too quickly.
Nov 04 23:46:15 ubuntu-server systemd[1]: Failed to start Emby Server is a personal media server with apps on just about every device..
daniel@ubuntu-server:~$ 

Edited by schmitty
Link to comment
Share on other sites

 

I just installed the latest update on Ubuntu 16.04, and the service won't start. It's throwing the below error.

daniel@ubuntu-server:~$ systemctl status emby-server.service
● emby-server.service - Emby Server is a personal media server with apps on just about every device.
   Loaded: loaded (/usr/lib/systemd/system/emby-server.service; enabled; vendor preset: enabled)
   Active: inactive (dead) (Result: core-dump) since Sat 2017-11-04 23:46:15 AEDT; 8s ago
  Process: 7415 ExecStart=/opt/emby-server/bin/emby-server (code=dumped, signal=ABRT)
 Main PID: 7415 (code=dumped, signal=ABRT)

Nov 04 23:46:15 ubuntu-server systemd[1]: emby-server.service: Unit entered failed state.
Nov 04 23:46:15 ubuntu-server systemd[1]: emby-server.service: Failed with result 'core-dump'.
Nov 04 23:46:15 ubuntu-server systemd[1]: emby-server.service: Service hold-off time over, scheduling restart.
Nov 04 23:46:15 ubuntu-server systemd[1]: Stopped Emby Server is a personal media server with apps on just about every device..
Nov 04 23:46:15 ubuntu-server systemd[1]: emby-server.service: Start request repeated too quickly.
Nov 04 23:46:15 ubuntu-server systemd[1]: Failed to start Emby Server is a personal media server with apps on just about every device..
daniel@ubuntu-server:~$ 

Never mind. I restarted the system and installed system updates, and it is now working.

 

I have lost my library though.

Edited by schmitty
Link to comment
Share on other sites

francisuk1989

I have installed a fresh of emby server beta on 16.04.3 x64 but when changing the HTTP/HTTPS ports i get this error, It also happens on the stable 3.2.34 release.

 

2017-11-07 21:22:46.801 Info ServerManager: Loading Http Server
2017-11-07 21:22:46.801 Info HttpServer: Adding HttpListener prefix http://+:8096/ < should be 3635
2017-11-07 21:22:46.801 Info HttpServer: Adding HttpListener prefix https://+:1011/

when visiting http://192.168.1.252:8096 and port https://:1011 on both ports i get Unable to connect same with port 3635

 

EDIT

 

Using this methord works but is running emby as root i guess? is there anyway to change this for user emby?

https://emby.media/community/index.php?/topic/26818-error-changing-ports/&do=findComment&comment=261257

server-63645686565.txt

unhandled_83bdde99-de8f-43e1-9ebc-9d29cf8d4332.txt

Edited by francisuk1989
Link to comment
Share on other sites

It appears your system is not allowing access to those ports. That's all i can really tell you. The reason it reverts back to 8096 is because we do that automatically if we get an error when trying to bind to the custom port of your choice.

Link to comment
Share on other sites

francisuk1989

It appears your system is not allowing access to those ports. That's all i can really tell you. The reason it reverts back to 8096 is because we do that automatically if we get an error when trying to bind to the custom port of your choice.

 

but even reverting back to 8096 dosnt work :mellow: but using this methord works https://emby.media/community/index.php?/topic/26818-error-changing-ports/&do=findComment&comment=261257 but using root account but is there a way of emby user to use say HTTP 3535  HTTPS 3536

Link to comment
Share on other sites

  • 4 weeks later...

Hello,

 

When i try to install Emby on Ubuntu 16.04 I got an error. I've downloaded the .deb and try to install it :

emby@Emby-Server:~$ sudo dpkg -i emby-server-deb_3.2.50.0_amd64.deb
(Lecture de la base de données... 61807 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de emby-server-deb_3.2.50.0_amd64.deb ...
Dépaquetage de emby-server (3.2.50.0) sur (3.2.50.0) ...
Paramétrage de emby-server (3.2.50.0) ...
usermod: user emby is currently used by process 1163
dpkg: erreur de traitement du paquet emby-server (--install) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 8
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu9) ...
Traitement des actions différées (« triggers ») pour ureadahead (0.100.0-19) ...
Des erreurs ont été rencontrées pendant l'exécution :
 emby-server

It says "Error output 8", what does it means ? It's a fresh ubuntu with a user named emby, is it the problem (I have to use a different name) ?

Thank you.

 

Edit : I tried with a different username, did the trick. May be usefull to indicate it somewhere (As my vm was for emby, I use emby for username, not clever I know).

Edited by nicox
Link to comment
Share on other sites

  • 1 month later...
Turboschnecke

Hi,

 

i try to install emby within an Ubuntu 16.04 in a LX Zone on a OmniOS machine. But it doesn't work:

Unpacking emby-server (3.2.60.0) ...
Setting up emby-server (3.2.60.0) ...
Failed to connect to bus: No such file or directory
dpkg: error processing package emby-server (--install):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for unreadahed (0.100.0-19) ...
Error were encountered while processing:
 emby-server

I search for this error and found a post about a not working systemd. Could this be the problem? Is there a possibility to install emby server an other way?

i already did apt-get update and upgrade. I am a linux noob :D

Edited by Turboschnecke
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...